# Kubernetes Cheat Sheet

A list of common resources when contributing to Kubernetes.

| Repo | PRs | Issues | Notes |
| ---- | --- | ------ | ----- |
| [Kubernetes](https://github.com/kubernetes/kubernetes) | [PRs](https://github.com/kubernetes/kubernetes/pulls) | [Issues](https://github.com/kubernetes/kubernetes/issues) | [Meeting Notes](http://bit.ly/kubenotes)
| [Community](https://github.com/kubernetes/community) | [PRs](https://github.com/kubernetes/community/pulls) | [Issues](https://github.com/kubernetes/community/issues) |
| [Docs](https://github.com/kubernetes/website) | [PRs](https://github.com/kubernetes/website/pulls) | [Issues](https://github.com/kubernetes/website/issues)

## Getting Started

- [Contributor Guide](https://github.com/kubernetes/community/blob/master/contributors/guide/README.md) 

## Workflow

- [Gubernator Dashboard - k8s.reviews](https://k8s-gubernator.appspot.com/pr)
- [Tide](https://prow.k8s.io/tide)
- [Bot commands](https://go.k8s.io/bot-commands)
- [GitHub labels](https://go.k8s.io/github-labels)
- [Release Buckets](https://gcsweb.k8s.io/gcs/kubernetes-release/)
- Developer Guide
  - [Cherry Picking Guide](/contributors/devel/cherry-picks.md)
- [Kubernetes Code Search](https://cs.k8s.io/), maintained by [@dims](https://github.com/dims)


## SIGs and Working Groups

- [Master SIG list](/sig-list.md#master-sig-list)

## Community

- [Calendar](https://calendar.google.com/calendar/embed?src=cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com)
- [kubernetes-dev](https://groups.google.com/forum/#!forum/kubernetes-dev)
- [Kubernetes Forums](https://discuss.kubernetes.io)
- [Slack channels](http://slack.k8s.io/)
- [StackOverflow](https://stackoverflow.com/questions/tagged/kubernetes)
- [YouTube Channel](https://www.youtube.com/c/KubernetesCommunity/)

## Tests

- [Current Test Status](https://prow.k8s.io/)
- [Aggregated Failures](https://go.k8s.io/triage)
- [Test Grid](https://testgrid.k8s.io)
- [Test Health](https://go.k8s.io/test-health)
- [Test History](https://go.k8s.io/test-history)

## Email Aliases

- community@kubernetes.io - Mail someone on the community team (SIG Contributor Experience) about a community issue.
- social@cncf.io - Contact the CNCF social team; blog, twitter account, and other social properties.
- steering@kubernetes.io - Mail the steering committee. Public address with public archive.
- steering-private@kubernetes.io - Mail the steering committee privately, for sensitive items.
- helpdesk@rt.linuxfoundation.org - Mail the LF helpdesk for help with CLA issues.
- conduct@kubernetes.io - Contact the Code of Conduct committee, private mailing list.

## Other

- [Developer Statistics](https://k8s.devstats.cncf.io)
