# 2018 Kubernetes Contributor Summit US

This event brings together new and current Kubernetes contributors to connect and share face-to-face. It is an opportunity for existing contributors to help shape the future of community development and offers a welcoming space for new community members to learn, explore and put the contributor workflow to practice.
The summit now spans two days; including an optional social event in the early evening of December 9th along with the main full-day event December 10th.

In some sense, the summit is a real-life extension of the community meetings and SIG meetings. There are three explicit goals:

- Cross-SIG communication and announcements
- Onboard new contributors to be productive in our community
- Send contributors home with more context, knowledge, and skills about the project

## Registration

The event is now full and is accepting a wait list on the below form. If you are a SIG/WG Chair, Tech Lead, or Subproject Owner, please reach out to community@kubernetes.io after filling out the wait list form.

- [RSVP/Wait List Form](https://goo.gl/X8YrRv)
- If you are planning on attending the New Contributor Track, [Sign the CLA](/CLA.md) if you have not done so already.

This is not your KubeCon/CloudNativeCon ticket. This is a co-located event. KC/CNC is currently sold out; however, you do not need a KC/CNC ticket to attend this event. 

## When and Where

- Day 1: Optional pre-summit social
  - Sunday, Dec 9th from 5-8PM
  - Garage, 1130 Broadway Seattle, WA 98122
- Day 2: Contributor Summit
  - Monday, Dec 10th, 2018 from 8AM-530PM
  - 6th Floor, Washington State Convention Center, Seattle, WA
    (Signage will be present)

### Badge pick up
If you are not attending KubeCon/CnC but attending this event, please reach out to community@kubernetes.io for a separate process.

You will need your KubeCon/CnC badge to get into Sunday and Monday events. Badge locations:
- participating hotels (TBA)
- atrium on the 4th floor of the Washington Convention Center
- Garage on Sunday night (convenient!)

## Agenda

**Day 1 - [Garage](https://www.garagebilliards.com/)**

We will publish the dinner menu two weeks before the event but will have options for vegetarian, vegan, and gluten free. Beer, wine, and nonalcoholic beverages available.

What to expect: Attendees will have access to bowl, play pool/billiards, suggest unconference sessions for the next day, and socializing with other contributors.

**Day 2 - Washington Convention Center**
- New Contributor Track / Workshop -
  - A half day workshop aimed at getting new and first time contributors on boarded and comfortable with working within the Kubernetes Community. Staying for the duration is required; this is not a workshop you can drop into. (Capacity: 100)
- Current Contributor Track -  
  - talks, workshops, birds of a feather, unconference sessions, steering committee updates, and more!
- Docs Planning Session -
  - Working on a curated list of issues and challenges that SIG Docs is tackling at that time. (Current+Doc Capacity: 300)

### Monday Schedule

The schedule has been published to [the community calendar](https://calendar.google.com/calendar/embed?src=cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com&mode=DAY&dates=20181210/20181211) so that you can subscribe to the sessions you want to go to.

**Morning**

08:00am   
- Breakfast and Registration   
- Last chance to turn in unconference voting session card. [pick up a card at the summit registration tables at Garage or 6th floor of Convention Center]  
- Add your +1 to cards already on the unconference board - start voting!

| Time       | Main Track |  Planning & Training  | Contributor Lounge  | New Contributor Workshop |
| --- | :---: | :---: | :---: | :---: |
| **Room** | 608/609 |  613 | 610 | 602/603/604  |
| 08:00am    | -   | - | Open Space**  | -  |
| 09:00am    | Welcome & Details (all tracks) | -  | &#124;  |   -  |
| 09:30am    | Technical Vision for Kubernetes w/ Architecture's @bgrant0607 |  - | &#124;  | - |
| 10:00am    | Security Through the Ages | Doc Planning (open to all) | &#124; | Where to Contribute |
| 10:30am    | State of Networking w/ @thockin|  -  |   &#124;  | Where to Communicate |
| 10:55am    | 15 minute break | -  | &#124;  |  &#124; |
| 11:10am    | State of KEPs w/ PM's @justaugustus |  -  |   &#124;  | OWNERS Files |
| 11:30am    | Past, Present, Future of SIG Cluster Lifecycle |  -  |   &#124;  | Github Workflow |
| 12:05pm    | Lunch Break | +   | Last call for Unconference Voting*  |   -  |


**Afternoon**

| Time       | Main Track  | Planning & Training  | Track #1  |  Track #2  |  Track #3 |  Track #4 | Contributor Lounge | New Contributor Workshop |
| --- | :---: | :---: | :---: | :---: | :---: |:---: | :---: | :---: |
| **Room** | 608/609 [theater] |  613 [pods] | 606 [fishbowl] | 607 [fishbowl]  | 605 [fishbowl] | 611 [fishbowl] |   610  [pods] | 602/603/604 [round classroom]  |
| 1:00pm    | Automation and CI w/Testing and ContribEx @spiffxp @cblecker [50 mins] |  Docs Planning [2 hrs; open to all] | Networking BoF [50 mins] | KEP BoF [50 mins] | *Unconference Slot [50 mins] | - | Open Space  | Pull Request Practice |
| 1:50pm | 10 Minute Break | -  | -  | -  | -  | -  | -  | &#124; |
| 2:00pm | API Codebase Tour - @sttts [50 mins] | " | Cluster lifecycle BoF [50 mins] | etcd Maintainers Ask Us Anything [50 mins] | - | *Unconference Slot [50 mins] | &#124; | Testrgid tour, docs, membership |
| 2:30pm | " |  SIG/WG Chair/TL Training [1.5 hrs]  |  "  | "  | -  | " | &#124; | -  |
| 2:50pm | 10 Minute Break | "  | -  | -  | -  | -  | -  | &#124; |
| 3:00pm | Live API Code Review - @lavalamp  | " | Long Term Support (WG LTS) - @tpepper [50 mins] | UI Dashboard Planning Discussion [50 mins] | *Unconference Slot [50 mins] | *Unconference Slot [50 mins] | &#124; | SIG Meet and Greet |
| 3:50pm | 10 Minute Break | -  | -  | -  | -  | -  | -  | &#124; |
| 4:00pm | Steering Committee Q+A | -  | -  | -  | -  | -  | -  | &#124; |
| 4:45pm | Wrap-Up and Group Pic! |  -  | -  | -  | -  | -  | -  | -  |

`*`= The unconference slots are generated by you by suggesting a topic and/or voting on another. Instructions on how to participate will be posted here closer to the event.  
** = Want to have a quick SIG meeting? Pair program? Get some work done? Use this space! No reservation required.


*Evening*

| Time   |  Speaker & Title   | Room   |
| --- | :----------: | :----------: |
|5:10pm | CRDs arent just for add-ons anymore, Tim Hockin |  Ballroom 6ABC |
| 5:20pm | Kubernetes Release Notes Tips and Tricks, Mike Arpaia | Ballroom 6ABC |
| 6:40pm | Kubernetes Community, a Story told through emojis and slack data, Paris Pittman | Ballroom 6ABC |

### Tuesday-Thursday Schedule
Contributor content flows in KubeCon

*Tuesday*

| Time   |  Speaker & Title   | Room  |
| --- | :----------: | :----------: |
| 1030a  |  SIG Intros: Apps, Auth, IBMCloud | TBA |
| 1140a  |  SIG Intros: Cluster Lifecycle, Service Catalog, Storage | TBA |
| 1140a | Behind Your PR: How Kubernetes Uses Kubernetes to Run Kubernetes CI, Sen Lu and Ben Elder | Ballroom 6C |
| 1140a | The Future of Your CRDs - Evolving an API, Stefan Schimanski and Mehdy Bohlool | Ballroom 6E |
| 140p | SIG Intros: Multicluster, Release | TBA |
| 235p | SIG Intros: Contributor Experience, OpenStack | TBA |
| 235p | CNCF TOC Live Committee Meeting | 606-609 |

*Wednesday*

| Time   |  Speaker & Title   | Room  |
| --- | :----------: | :----------: |
| 1050a | SIG Intros: CLI, PM, Scheduling | TBA |
| 1140a | Deep Dive: Contributor Experience | TBA |
| 1140a | SIG Intros: Autoscaling, AWS, Azure | TBA |
| 145p | Deep Dive: Release | TBA |
| 145p | SIG Intros: Cloud Provider, Testing | TBA |
| 145p | Open Source, Open Community, Open Development, Craig McLuckie | Tahoma 1/2 @ TCC |
|235p | Deep Dive: PM | TBA |
|235p | SIG Intro: IoT WG | TBA |


*Thursday*

| Time   |  Speaker & Title   | Room  |
| --- | :----------: | :----------: |
| 1050a | Deep Dives: Auth, CLI, Cloud Provider, Multicluster | TBA |
| 1140a | Deep Dives: API Machinery, Apps, Policy WG | TBA |
| 145p | Deep Dives: Autoscaling, Cluster Lifecycle (kubeadm), IBMCloud, Service Catalog | TBA |
| 235p | Deep Dives: Azure, Cluster Lifecycle (Cluster API), IoT WG | TBA |
| 340p | Deep Dives: Container Identity WG, Testing, VMWare | TBA |
| 430p | Deep Dives: Big Data, Scheduling | TBA |

## Chat With Us
There is a [Slack channel](https://kubernetes.slack.com/messages/contributor-summit) (#contributor-summit) for you to use before and during the summit. Look here for volunteer opportunities and content updates. Feel free to pass URLs, notes, reserve the hallway track room, and connect with the organizers.

## Media Policy

A photographer and videographer will be onsite recording sessions, collecting b-roll and other shots for KubeCon. If you would rather not be involved, please reach out to an organizer on the day of so we may accommodate you.


## Code of Conduct

This event, like all Kubernetes events, has a [Code of Conduct](/code-of-conduct.md). We will have an onsite rep with contact information to be provided here and posted during the event.


### Misc
We want to remove as many barriers as possible for you to attend this event. Please contact community@kubernetes.io to see if we can accommodate a request.

Further details to be updated on this doc. Please check back for a complete guide.
