# Contributor Experience Special Interest Group Charter

## Chairs:
* Elsie Phillips (**[@Phillels](https://github.com/Phillels)**)
* Paris Pittman (**[@parispittman](https://github.com/parispittman)**) 

## Technical Leads (TL):
* Garrett Rodrigues (**[@grodrigues3](https://github.com/grodrigues3)**)
* Christoph Blecker (**[@cblecker](https://github.com/cblecker)**)

## Subprojects and OWNERs
Can be found on our [README](README.md)

## Processes and Responsibilities
* Chairs run weekly meetings in accordance with [SIG governance procedures](/sig-governance.md) unless TLs need to fill in 
* Chairs and TLs run quarterly planning meetings where we decide goals for the next release, to be published in the SIG’s [README](README.md)  
* Chairs plan at least one annual face to face Contributor Experience SIG meeting proposed via mailing list and announced via slack and other channels
* Members run and organize the weekly [Kubernetes Community Meeting](/events/community-meeting.md)
* This SIG will act as owners and maintainers of [kubernetes/community](https://github.com/kubernetes/community)
* We participate in [lazy consensus](http://en.osswiki.info/concepts/lazy_consensus) for our decisions and the [KEP](/keps) process for major features and enhancements
  * Idea and/or solution is proposed via the kubernetes-sig-contribex@googlegroups.com mailing list. Link(s) to GitHub issue proposal is a nice to have but not required
  * Author will give a time period of no less than 3 working days being cognizant of popular observed world holidays to respond with questions, issues, or hold from a Chair/TL(s) for more information/research needed
  * Author will participate in implementation of the proposed idea and/or solution
* We are responsible for community growth and management of Kubernetes and its ecosystem.  We support this growth by creating programs for SIGs, WGs and subprojects to address mentoring, learning and development, contributors, and GitHub workflows.
  * We will build metrics that capture the project’s velocity and stability  
  * This SIG does not create new SIGs, WGs, subprojects themselves but will mentor new SIGs in the creation and management of their own:
    * YouTube playlist
    * Zoom account(s)
    * Slack channel(s)
    * GitHub service teams
* We ensure communication platforms are a safe environment for discourse and maintain them and in some cases in conjunction with CNCF/LF. Depending on the situation, we will warn first and then report to Steering Committee. Platforms may include Slack, Kubernetes weekly meetings, Zoom, YouTube, etc.
* Provide guidance and mediation between SIGs and WGs that are having contributor experience issues. For example, consolidation around a certain workflow 
* Solicit feedback from other SIGs, project areas, and contributors formally twice a year (mid and end) about our performance and how we can improve the contributor experience
* We encourage and determine where automation makes sense for the contributor workflow
* We own no code outside of the kubernetes/community repo although we may collaborate with other OWNERs of repos and SIG and WG leads
* Drives consistent automation surrounding the PR workflow and issue triaging, and collaborates with other groups on implementing our design  
* Process change communication: 
  * Socialize on kubernetes-sig-contribex@googlegroups.com and on our weekly update calls 
  * If the change impacts a small number (<4) of SIGs, WGs, or repos, we will go to each lead, their mailing lists, slack channel, and/or their update meetings and ask for feedback and a lazy consensus process. We will follow up with a post to kubernetes-dev@googlegroups.com mailing list 
  * In cases of impacts across a large number of areas and/or project wide, we will:
    *  Lazy consensus with a time box of at least 72 hours to the following mailing lists with the GitHub issue link including the subject [NOTICE]: foobar to the following mailing lists:
       * kubernetes-dev@
       * sig-leads@
       * kubernetes-sig-contribex@
    * Announce at weekly Kubernetes Community Meeting on Thursdays

## Leadership Composition
  * Two (2) Chairs and Two (2) Technical Leads unless group decides that more is needed
  * Each Chair and Technical Lead will be responsible for a sub-group in addition to assisting with the processes outlined here 
  * Lazy Consensus within the SIG to make final decision 
* Changing leadership
  * Candidates are nominated through the mailing list and confirmed at SIG meeting; self nomination is fine. Candidate needs two +1’s from folks representing different companies or independent/freelancers in the community to be considered a nominee 
  * Chair/TL may step down at any time for any reason and propose a replacement that is already an active contributing member of Contributor Experience. They will make the change to the OWNERs file
  * A Chair/TL may be asked to step down if one of the following occurs:
    * Inactivity as determined by the governance of the project or as specifically described in the ask to SIG leadership
    * Inappropriate behavior or code of conduct issues
    * For other reasons as determined by the Chair/TLs at that time but also discussed in conjunction with the lead in question
    * Chair/TLs may appoint a temporary replacement if a leave of absence is desired, called a delegate that is already an active contributing member of Contributor Experience  
